Translate API v2, REST: Translation.DetectLanguage

Detects the language of the text.

HTTP request

POST https://translate.api.cloud.yandex.net/translate/v2/detect

Body parameters

{
  "text": "string",
  "languageCodeHints": [
    "string"
  ],
  "folderId": "string"
}

Field

Description

text

string

Required field. The text to detect the language for.

The maximum string length in characters is 1000.

languageCodeHints[]

string

List of the most likely languages. These languages will be given preference when detecting the text language.
Most languages are specified in ISO 639-1 format (for example, ru), but the field are not limited to it.
To get the list of supported languages, use a TranslationService.ListLanguages request.

The maximum string length in characters for each value is 3. The maximum number of elements is 10.

folderId

string

ID of the folder to which you have access.
Required for authorization with a user account.
Don't specify this field if you make the request on behalf of a service account.

The maximum string length in characters is 50.

Response

HTTP Code: 200 - OK

{
  "languageCode": "string"
}

Field

Description

languageCode

string

Most languages are specified in ISO 639-1 format (for example, ru), but the field are not limited to it.
To get the language name, use a TranslationService.ListLanguages request.

Предыдущая
Следующая